Date   

Updating BBappend files in yocto #yocto #python #devtool

ksmanjunath681@...
 

Hi Alexander,
I looked into the various options provided by devtool upgrade/devtool finish.
Unfortunately, it doesn't have the required options to update .bbappend files.

Below is a brief on my problem.

devtool upgrade doesn't consider updating .bbappend files of the recipe if they have overridden SRC related information.
For example, I have a .bbappend file in my custom layer that has overridden SRC_URI, SRCBRANCH & SRCREV information for a recipe in poky.

When I tried to update the recipe with latest SRCREV using below command:
devtool upgrade -S <latest_commit_revision> <recipename>

The devtool upgrade by default updates the original recipe (.bb) in poky but not the .bbappend file in my custom layer.
I briefly looked into the devtool upgrade sources to confirm this behavior as well.

Is this an expected behavior?
There could be cases where the .bbappend files might override the SRC related information and we expect the devtool to upgrade the respective .bbappend file?

Thanks.


Regarding mail notification diseable

NIKHIL PATIL <nikhilvp29@...>
 

hi ,
    I dont want any mail notification from yocto forum , please disable it . i am not able to disable.
    thanks .


Re: Building Yocto images for RPi CM4

Sourabh Hegde
 

Hello Khem,

I am already using Raspberry Pi compatible screen. Can you please let me know how to enable verbose options for kernel and bootloader?

Thanks in advance


Re: OpenEmbedded Happy Hour February 23 9pm/2100 UTC

Denys Dmytriyenko
 

On Mon, Feb 21, 2022 at 06:26:05PM -0500, Denys Dmytriyenko wrote:
All,

You are cordially invited to the next OpenEmbedded Happy Hour on February 23
for Asia/Pacific timezones @ 2100/9pm UTC (4pm ET / 1pm PT):

https://www.openembedded.org/wiki/Calendar
https://www.openembedded.org/wiki/Happy_Hours
https://www.timeanddate.com/worldclock/fixedtime.html?msg=OpenEmbedded+Happy+Hour+February+23&iso=20220223T21
Reminder, this is happening in 2 hours! See you then and there.

--
Regards,
Denys Dmytriyenko <denis@...>
PGP: 0x420902729A92C964 - https://denix.org/0x420902729A92C964
Fingerprint: 25FC E4A5 8A72 2F69 1186 6D76 4209 0272 9A92 C964


Re: [RFC] [PATCH yocto-autobuilder-helper] scripts: run-docs-build: make the script fail hard ASAP when there's an error

Quentin Schulz
 

Hi Michael,

On 2/23/22 14:05, Michael Opdenacker wrote:
Hi Quentin,
On 2/23/22 12:31, Quentin Schulz wrote:
From: Quentin Schulz <quentin.schulz@...>

There are some intermittent issues with the script not publishing all
versions. So let's go extreme and fail the script if any error happens:
- a command returns a non-zero code, even if piped,
- a variable is used uninitialized,

This also makes the script print each and every command being run so we
have a better idea where the script struggles.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---

RFC:
- I highly suspect this change to break the building script because
Sphinx probably throws errors at old doc builds,
- Also, with Sphinx updates, new warnings might arrise on
old/unmaintained branches, we probably want to use virtualenv with
specific Sphinx versions to make sure this is not an issue in the
future? (and allows to bump Sphinx (or other dependencies) requirement
for newer doc branches),

scripts/run-docs-build | 6 ++++++
1 file changed, 6 insertions(+)

diff --git a/scripts/run-docs-build b/scripts/run-docs-build
index 3bc35b3..b7b5773 100755
--- a/scripts/run-docs-build
+++ b/scripts/run-docs-build
@@ -2,6 +2,12 @@
# Called with $1 as the build directory
# $2 as the path to yocto-docs
# $3 as the path to bitbake
+
+set -e
+set -u
+set -o pipefail
+set -x
+
builddir=$1
ypdocs=$2/documentation/
bbdocs=$3/doc/
Agreeing with the change.
How would we get the script output?
https://autobuilder.yoctoproject.org/typhoon/#/builders/114

seems to be a good place to start with?

Cheers,
Quentin


Re: Building Yocto images for RPi CM4

Khem Raj
 

On Tue, Feb 22, 2022 at 11:07 PM Sourabh Hegde <hrsourabh011@...> wrote:

Hello Khem,

I agree. But since there is no serial console support available on my IO carrier board, I can't see what it prints.

Is there any other way to debug?
if you have a screen connected maybe you can enable verbose options
for kernel and bootloader and see if it prints stuff on
console.

Kind Regards,
Sourabh


Re: [PATCH yocto-autobuilder-helper] scripts: run-docs-build: do not turn sphinx warnings into errors

Michael Opdenacker
 

On 2/23/22 15:46, Quentin Schulz wrote:
From: Quentin Schulz <quentin.schulz@...>

Default flags for sphinx-build contain -W which turns warnings into
errors. This is really helpful during debugging and could be used for
continuous integration though we do not have such a thing separate from
the continuous delivery in place currently. Nowadays, the docs files
served at docs.yoctoproject.com are actually removed before being
updated from the newly built docs. If the `html` target, a dependency of
`publish` target is failing, the docs aren't copied over to the `final`
temporary directory. Therefore it'll be missing in the rsync upload to
docs.yoctoproject.org.

Instead, let's disable the turning of warnings into errors so that the
`html` make target can finish successfully and the `publish` make target
to finish successfully too.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---
scripts/run-docs-build | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)

Looks like a great solution to detect issues in development without
blocking the generation of the manuals.
Reviewed-by: Michael Opdenacker <michael.opdenacker@...>
👍

Cheers
Michael.

--
Michael Opdenacker, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


Re: [RFC] [PATCH yocto-autobuilder-helper] scripts: run-docs-build: make the script fail hard ASAP when there's an error

Michael Opdenacker
 

On 2/23/22 15:52, Quentin Schulz wrote:

Agreeing with the change.
How would we get the script output?
https://autobuilder.yoctoproject.org/typhoon/#/builders/114

seems to be a good place to start with?
Ah right, thanks. I won't forget it next time.
Michael.

--
Michael Opdenacker, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


[PATCH yocto-autobuilder-helper] scripts: run-docs-build: do not turn sphinx warnings into errors

Quentin Schulz
 

From: Quentin Schulz <quentin.schulz@...>

Default flags for sphinx-build contain -W which turns warnings into
errors. This is really helpful during debugging and could be used for
continuous integration though we do not have such a thing separate from
the continuous delivery in place currently. Nowadays, the docs files
served at docs.yoctoproject.com are actually removed before being
updated from the newly built docs. If the `html` target, a dependency of
`publish` target is failing, the docs aren't copied over to the `final`
temporary directory. Therefore it'll be missing in the rsync upload to
docs.yoctoproject.org.

Instead, let's disable the turning of warnings into errors so that the
`html` make target can finish successfully and the `publish` make target
to finish successfully too.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---
scripts/run-docs-build | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/scripts/run-docs-build b/scripts/run-docs-build
index 3bc35b3..d9c4bc1 100755
--- a/scripts/run-docs-build
+++ b/scripts/run-docs-build
@@ -27,14 +27,14 @@ cd $bbdocs
echo Building bitbake master branch
git checkout master
make clean
-make publish
+SPHINXOPTS="-j auto" make publish
mkdir $outputdir/bitbake
cp -r ./_build/final/* $outputdir/bitbake

git checkout master-next
echo Building bitbake master-next branch
make clean
-make publish
+SPHINXOPTS="-j auto" make publish
mkdir $outputdir/bitbake/next
cp -r ./_build/final/* $outputdir/bitbake/next

@@ -49,7 +49,7 @@ for branch in 1.46 1.48 1.50 1.52; do
git checkout $branch
git checkout master releases.rst
make clean
- make publish
+ SPHINXOPTS="-j auto" make publish
mkdir $outputdir/bitbake/$branch
cp -r ./_build/final/* $outputdir/bitbake/$branch
git reset --hard
@@ -64,21 +64,21 @@ cd $ypdocs
echo Building master branch
git checkout master
make clean
-make publish
+SPHINXOPTS="-j auto" make publish
cp -r ./_build/final/* $outputdir

cd $ypdocs
echo Building transition branch
git checkout transition
make clean
-make publish
+SPHINXOPTS="-j auto" make publish
cp -r ./_build/final/* $outputdir/

cd $ypdocs
echo Building master-next branch
git checkout master-next
make clean
-make publish
+SPHINXOPTS="-j auto" make publish
mkdir $outputdir/next
cp -r ./_build/final/* $outputdir/next

@@ -90,7 +90,7 @@ for branch in dunfell gatesgarth hardknott honister; do
git checkout $branch
git checkout master releases.rst
make clean
- make publish
+ SPHINXOPTS="-j auto" make publish
mkdir $outputdir/$branch
cp -r ./_build/final/* $outputdir/$branch
git reset --hard
@@ -115,7 +115,7 @@ for tag in $(git tag --list 'yocto-*'); do
fi
git checkout master releases.rst
make clean
- make publish
+ SPHINXOPTS="-j auto" make publish
version=$(echo $tag | cut -c7-)
mkdir $outputdir/$version
cp -r ./_build/final/* $outputdir/$version
--
2.35.1


[meta-zephyr][PATCH] zephyr-openthread-rcp: add recipe for OpenThread radio co-processor sample

Stefan Schmidt
 

From: Stefan Schmidt <stefan.schmidt@...>

This builds the sample for the radio co-processor firmware with a specifi=
c
set of overlays to work over USB transport.

Signed-off-by: Stefan Schmidt <stefan.schmidt@...>
---
.../zephyr-kernel/zephyr-openthread-rcp.bb | 10 ++++++++++
1 file changed, 10 insertions(+)
create mode 100644 meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-=
openthread-rcp.bb

diff --git a/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthr=
ead-rcp.bb b/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthr=
ead-rcp.bb
new file mode 100644
index 0000000..708e56a
--- /dev/null
+++ b/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthread-rcp=
.bb
@@ -0,0 +1,10 @@
+include zephyr-sample.inc
+
+ZEPHYR_SRC_DIR =3D "${S}/samples/net/openthread/coprocessor"
+
+EXTRA_OECMAKE +=3D "-DCONF_FILE=3D"prj.conf overlay-rcp.conf overlay-usb=
-nrf-br.conf" -DDTC_OVERLAY_FILE=3D"usb.overlay""
+
+# The overlay config and OpenThread itself imposes some specific require=
ments
+# towards the boards (e.g. flash layout and ieee802154 radio) so we need=
to
+# limit to known working machines here.
+COMPATIBLE_MACHINE =3D "(arduino-nano-33-ble)"
--=20
2.35.1


[meta-security][PATCH] Upgrade parsec-tool to 0.5.1

Anton Antonov
 

Signed-off-by: Anton Antonov <Anton.Antonov@...>
---
meta-parsec/conf/layer.conf | 2 +-
...sec-tool_0.4.0.bb => parsec-tool_0.5.1.bb} | 0
...c-tool_0.4.0.inc => parsec-tool_0.5.1.inc} | 166 ++++++++----------
3 files changed, 74 insertions(+), 94 deletions(-)
rename meta-parsec/recipes-parsec/parsec-tool/{parsec-tool_0.4.0.bb => parsec-tool_0.5.1.bb} (100%)
rename meta-parsec/recipes-parsec/parsec-tool/{parsec-tool_0.4.0.inc => parsec-tool_0.5.1.inc} (55%)

diff --git a/meta-parsec/conf/layer.conf b/meta-parsec/conf/layer.conf
index 19900bb..544cc4e 100644
--- a/meta-parsec/conf/layer.conf
+++ b/meta-parsec/conf/layer.conf
@@ -10,5 +10,5 @@ BBFILE_PRIORITY_parsec-layer = "5"

LAYERSERIES_COMPAT_parsec-layer = "kirkstone"

-LAYERDEPENDS_parsec-layer = "core clang-layer tpm-layer"
+LAYERDEPENDS_parsec-layer = "core clang-layer"
BBLAYERS_LAYERINDEX_NAME_parsec-layer = "meta-parsec"
diff --git a/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.4.0.bb b/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.5.1.bb
similarity index 100%
rename from meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.4.0.bb
rename to meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.5.1.bb
diff --git a/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.4.0.inc b/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.5.1.inc
similarity index 55%
rename from meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.4.0.inc
rename to meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.5.1.inc
index e706112..567cc37 100644
--- a/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.4.0.inc
+++ b/meta-parsec/recipes-parsec/parsec-tool/parsec-tool_0.5.1.inc
@@ -1,93 +1,83 @@
# This file is created from parsec-tool repository Cargo.lock using cargo-bitbake tool

SRC_URI += " \
- crate://crates.io/addr2line/0.15.2 \
- crate://crates.io/adler/1.0.2 \
crate://crates.io/aho-corasick/0.7.15 \
crate://crates.io/ansi_term/0.11.0 \
crate://crates.io/ansi_term/0.12.1 \
- crate://crates.io/anyhow/1.0.42 \
+ crate://crates.io/anyhow/1.0.44 \
crate://crates.io/arrayvec/0.5.2 \
crate://crates.io/atty/0.2.14 \
crate://crates.io/autocfg/1.0.1 \
- crate://crates.io/backtrace/0.3.59 \
crate://crates.io/base64/0.12.3 \
crate://crates.io/base64/0.13.0 \
crate://crates.io/bincode/1.3.3 \
crate://crates.io/bindgen/0.57.0 \
- crate://crates.io/bitflags/1.2.1 \
+ crate://crates.io/bitflags/1.3.2 \
crate://crates.io/bitvec/0.19.5 \
crate://crates.io/block-buffer/0.9.0 \
- crate://crates.io/boringssl-src/0.3.0+688fc5c \
- crate://crates.io/bumpalo/3.7.0 \
- crate://crates.io/bytes/0.5.6 \
- crate://crates.io/cc/1.0.69 \
+ crate://crates.io/bumpalo/3.7.1 \
+ crate://crates.io/bytes/1.1.0 \
+ crate://crates.io/cc/1.0.70 \
crate://crates.io/cexpr/0.4.0 \
crate://crates.io/cfg-if/1.0.0 \
crate://crates.io/chrono/0.4.19 \
- crate://crates.io/clang-sys/1.2.0 \
+ crate://crates.io/clang-sys/1.2.2 \
crate://crates.io/clap/2.33.3 \
- crate://crates.io/clap/3.0.0-beta.2 \
- crate://crates.io/clap_derive/3.0.0-beta.2 \
+ crate://crates.io/clap/3.0.0-beta.4 \
+ crate://crates.io/clap_derive/3.0.0-beta.4 \
crate://crates.io/cmake/0.1.45 \
- crate://crates.io/const-oid/0.6.0 \
- crate://crates.io/cpufeatures/0.1.5 \
+ crate://crates.io/const-oid/0.6.2 \
+ crate://crates.io/cpufeatures/0.2.1 \
crate://crates.io/data-encoding/2.3.2 \
crate://crates.io/der-oid-macro/0.4.0 \
crate://crates.io/der-parser/5.1.2 \
- crate://crates.io/der/0.4.0 \
+ crate://crates.io/der/0.4.5 \
crate://crates.io/derivative/2.2.0 \
crate://crates.io/digest/0.9.0 \
crate://crates.io/either/1.6.1 \
crate://crates.io/env_logger/0.8.4 \
- crate://crates.io/failure/0.1.8 \
- crate://crates.io/failure_derive/0.1.8 \
crate://crates.io/form_urlencoded/1.0.1 \
crate://crates.io/funty/1.1.0 \
- crate://crates.io/futures-channel/0.3.16 \
- crate://crates.io/futures-core/0.3.16 \
- crate://crates.io/futures-executor/0.3.16 \
- crate://crates.io/futures-io/0.3.16 \
- crate://crates.io/futures-macro/0.3.16 \
- crate://crates.io/futures-sink/0.3.16 \
- crate://crates.io/futures-task/0.3.16 \
- crate://crates.io/futures-util/0.3.16 \
- crate://crates.io/futures/0.3.16 \
+ crate://crates.io/futures-channel/0.3.17 \
+ crate://crates.io/futures-core/0.3.17 \
+ crate://crates.io/futures-executor/0.3.17 \
+ crate://crates.io/futures-io/0.3.17 \
+ crate://crates.io/futures-macro/0.3.17 \
+ crate://crates.io/futures-sink/0.3.17 \
+ crate://crates.io/futures-task/0.3.17 \
+ crate://crates.io/futures-util/0.3.17 \
+ crate://crates.io/futures/0.3.17 \
crate://crates.io/generic-array/0.14.4 \
- crate://crates.io/getrandom/0.2.3 \
- crate://crates.io/gimli/0.24.0 \
crate://crates.io/glob/0.3.0 \
- crate://crates.io/grpcio-compiler/0.7.0 \
- crate://crates.io/grpcio-sys/0.9.0+1.38.0 \
- crate://crates.io/grpcio/0.9.0 \
+ crate://crates.io/grpcio-sys/0.9.1+1.38.0 \
+ crate://crates.io/grpcio/0.9.1 \
crate://crates.io/hashbrown/0.11.2 \
crate://crates.io/heck/0.3.3 \
crate://crates.io/hermit-abi/0.1.19 \
crate://crates.io/humantime/2.1.0 \
crate://crates.io/idna/0.2.3 \
crate://crates.io/indexmap/1.7.0 \
- crate://crates.io/instant/0.1.10 \
- crate://crates.io/itertools/0.8.2 \
- crate://crates.io/itoa/0.4.7 \
- crate://crates.io/js-sys/0.3.52 \
+ crate://crates.io/instant/0.1.11 \
+ crate://crates.io/itertools/0.10.1 \
+ crate://crates.io/itoa/0.4.8 \
+ crate://crates.io/js-sys/0.3.55 \
crate://crates.io/jsonwebkey/0.3.2 \
crate://crates.io/jsonwebtoken/7.2.0 \
crate://crates.io/lazy_static/1.4.0 \
crate://crates.io/lazycell/1.3.0 \
crate://crates.io/lexical-core/0.7.6 \
- crate://crates.io/libc/0.2.102 \
+ crate://crates.io/libc/0.2.103 \
crate://crates.io/libloading/0.7.0 \
crate://crates.io/libz-sys/1.1.3 \
- crate://crates.io/lock_api/0.4.4 \
+ crate://crates.io/lock_api/0.4.5 \
crate://crates.io/log/0.4.14 \
- crate://crates.io/matches/0.1.8 \
+ crate://crates.io/matches/0.1.9 \
crate://crates.io/memchr/2.3.4 \
- crate://crates.io/miniz_oxide/0.4.4 \
crate://crates.io/nom/5.1.2 \
crate://crates.io/nom/6.2.1 \
crate://crates.io/num-bigint/0.2.6 \
- crate://crates.io/num-bigint/0.3.2 \
- crate://crates.io/num-bigint/0.4.0 \
+ crate://crates.io/num-bigint/0.3.3 \
+ crate://crates.io/num-bigint/0.4.2 \
crate://crates.io/num-complex/0.3.1 \
crate://crates.io/num-derive/0.3.3 \
crate://crates.io/num-integer/0.1.44 \
@@ -95,94 +85,84 @@ SRC_URI += " \
crate://crates.io/num-rational/0.3.2 \
crate://crates.io/num-traits/0.2.14 \
crate://crates.io/num/0.3.1 \
- crate://crates.io/object/0.24.0 \
crate://crates.io/oid-registry/0.1.5 \
crate://crates.io/oid/0.2.1 \
crate://crates.io/once_cell/1.8.0 \
crate://crates.io/opaque-debug/0.3.0 \
- crate://crates.io/os_str_bytes/2.4.0 \
- crate://crates.io/parking_lot/0.11.1 \
- crate://crates.io/parking_lot_core/0.8.3 \
- crate://crates.io/parsec-client/0.13.0 \
- crate://crates.io/parsec-interface/0.25.0 \
+ crate://crates.io/os_str_bytes/3.1.0 \
+ crate://crates.io/parking_lot/0.11.2 \
+ crate://crates.io/parking_lot_core/0.8.5 \
+ crate://crates.io/parsec-client/0.14.0 \
+ crate://crates.io/parsec-interface/0.26.0 \
crate://crates.io/peeking_take_while/0.1.2 \
crate://crates.io/pem/0.8.3 \
+ crate://crates.io/pem/1.0.1 \
crate://crates.io/percent-encoding/2.1.0 \
crate://crates.io/picky-asn1-der/0.2.5 \
crate://crates.io/picky-asn1-x509/0.6.1 \
crate://crates.io/picky-asn1/0.3.3 \
crate://crates.io/pin-project-lite/0.2.7 \
crate://crates.io/pin-utils/0.1.0 \
- crate://crates.io/pkcs8/0.7.5 \
- crate://crates.io/pkg-config/0.3.19 \
- crate://crates.io/ppv-lite86/0.2.10 \
+ crate://crates.io/pkcs8/0.7.6 \
+ crate://crates.io/pkg-config/0.3.20 \
crate://crates.io/proc-macro-error-attr/1.0.4 \
crate://crates.io/proc-macro-error/1.0.4 \
crate://crates.io/proc-macro-hack/0.5.19 \
crate://crates.io/proc-macro-nested/0.1.7 \
- crate://crates.io/proc-macro2/1.0.28 \
- crate://crates.io/prost-derive/0.6.1 \
- crate://crates.io/prost/0.6.1 \
- crate://crates.io/protobuf-codegen/2.24.1 \
- crate://crates.io/protobuf/2.24.1 \
- crate://crates.io/protoc-grpcio/3.0.0 \
- crate://crates.io/protoc/2.24.1 \
- crate://crates.io/psa-crypto-sys/0.9.0 \
- crate://crates.io/psa-crypto/0.9.0 \
+ crate://crates.io/proc-macro2/1.0.29 \
+ crate://crates.io/prost-derive/0.8.0 \
+ crate://crates.io/prost/0.8.0 \
+ crate://crates.io/protobuf/2.25.1 \
+ crate://crates.io/psa-crypto-sys/0.9.2 \
+ crate://crates.io/psa-crypto/0.9.1 \
crate://crates.io/quote/1.0.9 \
crate://crates.io/radium/0.5.3 \
- crate://crates.io/rand/0.8.4 \
- crate://crates.io/rand_chacha/0.3.1 \
- crate://crates.io/rand_core/0.6.3 \
- crate://crates.io/rand_hc/0.3.1 \
- crate://crates.io/redox_syscall/0.2.9 \
+ crate://crates.io/rcgen/0.8.14 \
+ crate://crates.io/redox_syscall/0.2.10 \
crate://crates.io/regex-syntax/0.6.25 \
crate://crates.io/regex/1.4.6 \
- crate://crates.io/remove_dir_all/0.5.3 \
crate://crates.io/ring/0.16.20 \
- crate://crates.io/rustc-demangle/0.1.20 \
crate://crates.io/rustc-hash/1.1.0 \
- crate://crates.io/rusticata-macros/3.1.0 \
+ crate://crates.io/rusticata-macros/3.2.0 \
crate://crates.io/rustversion/1.0.5 \
crate://crates.io/ryu/1.0.5 \
crate://crates.io/same-file/1.0.6 \
crate://crates.io/scopeguard/1.1.0 \
crate://crates.io/secrecy/0.7.0 \
- crate://crates.io/serde/1.0.127 \
+ crate://crates.io/serde/1.0.130 \
crate://crates.io/serde_bytes/0.11.5 \
- crate://crates.io/serde_derive/1.0.127 \
- crate://crates.io/serde_json/1.0.66 \
- crate://crates.io/sha2/0.9.5 \
+ crate://crates.io/serde_derive/1.0.130 \
+ crate://crates.io/serde_json/1.0.68 \
+ crate://crates.io/sha2/0.9.9 \
crate://crates.io/shlex/0.1.1 \
crate://crates.io/simple_asn1/0.4.1 \
crate://crates.io/simple_asn1/0.5.4 \
- crate://crates.io/slab/0.4.3 \
+ crate://crates.io/slab/0.4.4 \
crate://crates.io/smallvec/1.6.1 \
- crate://crates.io/spiffe/0.1.1 \
+ crate://crates.io/spiffe/0.2.0 \
crate://crates.io/spin/0.5.2 \
- crate://crates.io/spki/0.4.0 \
+ crate://crates.io/spki/0.4.1 \
crate://crates.io/static_assertions/1.1.0 \
crate://crates.io/strsim/0.10.0 \
crate://crates.io/strsim/0.8.0 \
- crate://crates.io/structopt-derive/0.4.15 \
- crate://crates.io/structopt/0.3.22 \
- crate://crates.io/syn/1.0.74 \
+ crate://crates.io/structopt-derive/0.4.16 \
+ crate://crates.io/structopt/0.3.23 \
+ crate://crates.io/syn/1.0.77 \
crate://crates.io/synstructure/0.12.5 \
crate://crates.io/tap/1.0.1 \
- crate://crates.io/tempfile/3.2.0 \
crate://crates.io/termcolor/1.1.2 \
crate://crates.io/textwrap/0.11.0 \
- crate://crates.io/textwrap/0.12.1 \
- crate://crates.io/thiserror-impl/1.0.26 \
- crate://crates.io/thiserror/1.0.26 \
+ crate://crates.io/textwrap/0.14.2 \
+ crate://crates.io/thiserror-impl/1.0.29 \
+ crate://crates.io/thiserror/1.0.29 \
crate://crates.io/time/0.1.44 \
- crate://crates.io/tinyvec/1.3.1 \
+ crate://crates.io/tinyvec/1.5.0 \
crate://crates.io/tinyvec_macros/0.1.0 \
- crate://crates.io/typenum/1.13.0 \
- crate://crates.io/unicode-bidi/0.3.5 \
+ crate://crates.io/typenum/1.14.0 \
+ crate://crates.io/unicode-bidi/0.3.6 \
crate://crates.io/unicode-normalization/0.1.19 \
crate://crates.io/unicode-segmentation/1.8.0 \
- crate://crates.io/unicode-width/0.1.8 \
+ crate://crates.io/unicode-width/0.1.9 \
crate://crates.io/unicode-xid/0.2.2 \
crate://crates.io/untrusted/0.7.1 \
crate://crates.io/url/2.2.2 \
@@ -193,13 +173,12 @@ SRC_URI += " \
crate://crates.io/version_check/0.9.3 \
crate://crates.io/walkdir/2.3.2 \
crate://crates.io/wasi/0.10.0+wasi-snapshot-preview1 \
- crate://crates.io/wasm-bindgen-backend/0.2.75 \
- crate://crates.io/wasm-bindgen-macro-support/0.2.75 \
- crate://crates.io/wasm-bindgen-macro/0.2.75 \
- crate://crates.io/wasm-bindgen-shared/0.2.75 \
- crate://crates.io/wasm-bindgen/0.2.75 \
- crate://crates.io/web-sys/0.3.52 \
- crate://crates.io/which/4.2.2 \
+ crate://crates.io/wasm-bindgen-backend/0.2.78 \
+ crate://crates.io/wasm-bindgen-macro-support/0.2.78 \
+ crate://crates.io/wasm-bindgen-macro/0.2.78 \
+ crate://crates.io/wasm-bindgen-shared/0.2.78 \
+ crate://crates.io/wasm-bindgen/0.2.78 \
+ crate://crates.io/web-sys/0.3.55 \
crate://crates.io/winapi-i686-pc-windows-gnu/0.4.0 \
crate://crates.io/winapi-util/0.1.5 \
crate://crates.io/winapi-x86_64-pc-windows-gnu/0.4.0 \
@@ -207,8 +186,9 @@ SRC_URI += " \
crate://crates.io/wyz/0.2.0 \
crate://crates.io/x509-parser/0.9.2 \
crate://crates.io/yasna/0.3.2 \
+ crate://crates.io/yasna/0.4.0 \
crate://crates.io/zeroize/1.3.0 \
- crate://crates.io/zeroize_derive/1.1.0 \
+ crate://crates.io/zeroize_derive/1.2.0 \
"

LIC_FILES_CHKSUM = " \
--
2.25.1


Re: [RFC] [PATCH yocto-autobuilder-helper] scripts: run-docs-build: make the script fail hard ASAP when there's an error

Michael Opdenacker
 

Hi Quentin,

On 2/23/22 12:31, Quentin Schulz wrote:
From: Quentin Schulz <quentin.schulz@...>

There are some intermittent issues with the script not publishing all
versions. So let's go extreme and fail the script if any error happens:
- a command returns a non-zero code, even if piped,
- a variable is used uninitialized,

This also makes the script print each and every command being run so we
have a better idea where the script struggles.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---

RFC:
- I highly suspect this change to break the building script because
Sphinx probably throws errors at old doc builds,
- Also, with Sphinx updates, new warnings might arrise on
old/unmaintained branches, we probably want to use virtualenv with
specific Sphinx versions to make sure this is not an issue in the
future? (and allows to bump Sphinx (or other dependencies) requirement
for newer doc branches),

scripts/run-docs-build | 6 ++++++
1 file changed, 6 insertions(+)

diff --git a/scripts/run-docs-build b/scripts/run-docs-build
index 3bc35b3..b7b5773 100755
--- a/scripts/run-docs-build
+++ b/scripts/run-docs-build
@@ -2,6 +2,12 @@
# Called with $1 as the build directory
# $2 as the path to yocto-docs
# $3 as the path to bitbake
+
+set -e
+set -u
+set -o pipefail
+set -x
+
builddir=$1
ypdocs=$2/documentation/
bbdocs=$3/doc/
Agreeing with the change.
How would we get the script output?

Thanks
Michael.

--
Michael Opdenacker, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


[RFC] [PATCH yocto-autobuilder-helper] scripts: run-docs-build: make the script fail hard ASAP when there's an error

Quentin Schulz
 

From: Quentin Schulz <quentin.schulz@...>

There are some intermittent issues with the script not publishing all
versions. So let's go extreme and fail the script if any error happens:
- a command returns a non-zero code, even if piped,
- a variable is used uninitialized,

This also makes the script print each and every command being run so we
have a better idea where the script struggles.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---

RFC:
- I highly suspect this change to break the building script because
Sphinx probably throws errors at old doc builds,
- Also, with Sphinx updates, new warnings might arrise on
old/unmaintained branches, we probably want to use virtualenv with
specific Sphinx versions to make sure this is not an issue in the
future? (and allows to bump Sphinx (or other dependencies) requirement
for newer doc branches),

scripts/run-docs-build | 6 ++++++
1 file changed, 6 insertions(+)

diff --git a/scripts/run-docs-build b/scripts/run-docs-build
index 3bc35b3..b7b5773 100755
--- a/scripts/run-docs-build
+++ b/scripts/run-docs-build
@@ -2,6 +2,12 @@
# Called with $1 as the build directory
# $2 as the path to yocto-docs
# $3 as the path to bitbake
+
+set -e
+set -u
+set -o pipefail
+set -x
+
builddir=$1
ypdocs=$2/documentation/
bbdocs=$3/doc/
--
2.35.1


Re: [ANNOUNCEMENT] Yocto Project 3.4.2 (honister) is Released

Michael Opdenacker
 

Greetings,

I have a question to Poky users...

On 2/21/22 09:00, Lee Chee Yang wrote:

 

- --------------------------

Repositories/Downloads

- --------------------------

 

Repository Name: poky

Repository Location: https://git.yoctoproject.org/git/poky

Branch: honister

Tag: yocto-3.4.2

Git Revision: e0ab08bb6a32916b457d221021e7f402ffa36b1a

Release Artefact: poky-e0ab08bb6a32916b457d221021e7f402ffa36b1a

sha: 8580dc5067ee426fe347a0d0f7a74c29ba539120bbe8438332339a9c8bce00fd

Download Locations:

http://downloads.yoctoproject.org/releases/yocto/yocto-3.4.2/poky-e0ab08bb6a32916b457d221021e7f402ffa36b1a.tar.bz2

http://mirrors.kernel.org/yocto/yocto/yocto-3.4.2/poky-e0ab08bb6a32916b457d221021e7f402ffa36b1a.tar.bz2

 

Repository Name: openembedded-core

Repository Location: https://git.openembedded.org/openembedded-core

Branch: honister

Tag: yocto-3.4.2

Git Revision: 418a9c4c31615a9e3e011fc2b21fb7154bc6c93a

Release Artefact: oecore-418a9c4c31615a9e3e011fc2b21fb7154bc6c93a

sha: f2ca94a5a7ec669d4c208d1729930dfc1b917846dbb2393d01d6d5856fcbc6de

Download Locations:

http://downloads.yoctoproject.org/releases/yocto/yocto-3.4.2/oecore-418a9c4c31615a9e3e011fc2b21fb7154bc6c93a.tar.bz2

http://mirrors.kernel.org/yocto/yocto/yocto-3.4.2/oecore-418a9c4c31615a9e3e011fc2b21fb7154bc6c93a.tar.bz2

 

Repository Name: meta-mingw

Repository Location: https://git.yoctoproject.org/git/meta-mingw

Branch: honister

Tag: yocto-3.4.2

Git Revision: f5d761cbd5c957e4405c5d40b0c236d263c916a8

Release Artefact: meta-mingw-f5d761cbd5c957e4405c5d40b0c236d263c916a8

sha: d4305d638ef80948584526c8ca386a8cf77933dffb8a3b8da98d26a5c40fcc11

Download Locations:

http://downloads.yoctoproject.org/releases/yocto/yocto-3.4.2/meta-mingw-f5d761cbd5c957e4405c5d40b0c236d263c916a8.tar.bz2

http://mirrors.kernel.org/yocto/yocto/yocto-3.4.2/meta-mingw-f5d761cbd5c957e4405c5d40b0c236d263c916a8.tar.bz2

 

Repository Name: meta-gplv2

Repository Location: https://git.yoctoproject.org/git/meta-gplv2

Branch: honister

Tag: yocto-3.4.2

Git Revision: f04e4369bf9dd3385165281b9fa2ed1043b0e400

Release Artefact: meta-gplv2-f04e4369bf9dd3385165281b9fa2ed1043b0e400

sha: ef8e2b1ec1fb43dbee4ff6990ac736315c7bc2d8c8e79249e1d337558657d3fe

Download Locations:

http://downloads.yoctoproject.org/releases/yocto/yocto-3.4.2/meta-gplv2-f04e4369bf9dd3385165281b9fa2ed1043b0e400.tar.bz2

http://mirrors.kernel.org/yocto/yocto/yocto-3.4.2/meta-gplv2-f04e4369bf9dd3385165281b9fa2ed1043b0e400.tar.bz2

 

Repository Name: bitbake

Repository Location: https://git.openembedded.org/bitbake

Branch: honister

Tag: yocto-3.4.2

Git Revision: c039182c79e2ccc54fff5d7f4f266340014ca6e0

Release Artefact: bitbake-c039182c79e2ccc54fff5d7f4f266340014ca6e0

sha: bd80297f8d8aa40cbcc8a3d4e23a5223454b305350adf34cd29b5fb65c1b4c52

Download Locations:

http://downloads.yoctoproject.org/releases/yocto/yocto-3.4.2/bitbake-c039182c79e2ccc54fff5d7f4f266340014ca6e0.tar.bz2

http://mirrors.kernel.org/yocto/yocto/yocto-3.4.2/bitbake-c039182c79e2ccc54fff5d7f4f266340014ca6e0.tar.bz2

 

Repository Name: yocto-docs

Repository Location: https://git.yoctoproject.org/git/yocto-docs

Branch: honister

Tag: yocto-3.4.2

Git Revision: 3061d3d62054a5c3b9e16bfce4bcd186fa7a23d2
Is all such information useful for you in the release notes?
In the current documentation, we just tell people to:

git clone git://git.yoctoproject.org/poky
cd poky/
git checkout -t origin/honister -b my-honister
git pull (sufficient when a new release update is made)


If everyone uses git now, I believe all these details are unnecessary
and distract readers from the useful content of the release notes.

Any thoughts?
Thanks
Michael.

--
Michael Opdenacker, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


Re: QA notification for completed autobuilder build (yocto-3.3.5.rc1)

Teoh, Jay Shen
 

Hi all,

Intel and WR YP QA is planning for QA execution for YP build yocto-3.3.5.rc1. We are planning to execute following tests for this cycle:

OEQA-manual tests for following module:
1. OE-Core
2. BSP-hw

Runtime auto test for following platforms:
1. MinnowTurbot 32-bit
2. Coffee Lake
3. NUC 7
4. NUC 6
5. Edgerouter
6. Beaglebone

ETA for completion is next Monday, Feb 28.

Thanks,
Jay

-----Original Message-----
From: yocto@... <yocto@...> On
Behalf Of Richard Purdie
Sent: Tuesday, February 22, 2022 05:51 PM
To: <yocto@...> <yocto@...>
Cc: qa-build-notification
<qa-build-notification@...>
Subject: [yocto] QA notification for completed autobuilder build
(yocto-3.3.5.rc1)

A build flagged for QA (yocto-3.3.5.rc1) was completed on the
autobuilder and is available at:


https://autobuilder.yocto.io/pub/releases/yocto-3.3.5.rc1


Build hash information:

bitbake: aaa7f7af23d5f89fe4a5ed48c57ea3dfca07c79d
meta-agl: 9a50bd62dfac0d6ea1320b2ee083529cb98b9f92
meta-arm: fe35ff5ba809bf4826adfe65899a84e9c99494e8
meta-aws: 6801abf40bb255a31bce5061c5c6b72f5e2a8f58
meta-gplv2: 9e119f333cc8f53bd3cf64326f826dbc6ce3db0f
meta-intel: 36e915402dfe317654568f09f18fb6f7653603bc
meta-mingw: 422b96cb2b6116442be1f40dfb5bd77447d1219e
meta-openembedded: 23598caeafce0af0dde8d1339cf5edff021f6823
oecore: 29cd1d796057ef5599fe17c39b42aa099f7b1c29
poky: 8d3e054f6d432b5ca0fcd613e0c767fab3c85f24



This is an automated message from the Yocto Project Autobuilder
Git: git://git.yoctoproject.org/yocto-autobuilder2
Email: richard.purdie@...


Re: Building Yocto images for RPi CM4

Sourabh Hegde
 

Hello Khem,

I agree. But since there is no serial console support available on my IO carrier board, I can't see what it prints.

Is there any other way to debug?

Kind Regards,
Sourabh


[meta-zephyr][PATCH] layers: add kirkstone support

Jon Mason
 

Signed-off-by: Jon Mason <jon.mason@...>
---
meta-zephyr-bsp/conf/layer.conf | 4 ++--
meta-zephyr-core/conf/layer.conf | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/meta-zephyr-bsp/conf/layer.conf b/meta-zephyr-bsp/conf/layer.conf
index d5d478c442b1..507374f206b0 100644
--- a/meta-zephyr-bsp/conf/layer.conf
+++ b/meta-zephyr-bsp/conf/layer.conf
@@ -15,6 +15,6 @@ LAYERVERSION_zephyrbsp = "1"

LAYERDEPENDS_zephyrbsp = "zephyrcore core meta-python"

-LAYERSERIES_COMPAT_zephyrbsp = "dunfell gatesgarth hardknott honister"
+LAYERSERIES_COMPAT_zephyrbsp = "dunfell gatesgarth hardknott honister kirkstone"

-X86_TUNE_DIR = "${@bb.utils.contains('LAYERSERIES_CORENAMES', 'honister', 'include/x86', 'include', d)}"
+X86_TUNE_DIR = "${@bb.utils.contains_any('LAYERSERIES_CORENAMES', 'honister kirkstone', 'include/x86', 'include', d)}"
diff --git a/meta-zephyr-core/conf/layer.conf b/meta-zephyr-core/conf/layer.conf
index d3ac10e2f4b6..20c8fdf93a83 100644
--- a/meta-zephyr-core/conf/layer.conf
+++ b/meta-zephyr-core/conf/layer.conf
@@ -15,8 +15,8 @@ LAYERVERSION_zephyrcore = "1"

LAYERDEPENDS_zephyrcore = "core meta-python"

-LAYERSERIES_COMPAT_zephyrcore = "dunfell gatesgarth hardknott honister"
+LAYERSERIES_COMPAT_zephyrcore = "dunfell gatesgarth hardknott honister kirkstone"

-X86_TUNE_DIR = "${@bb.utils.contains('LAYERSERIES_CORENAMES', 'honister', 'include/x86', 'include', d)}"
+X86_TUNE_DIR = "${@bb.utils.contains_any('LAYERSERIES_CORENAMES', 'honister kirkstone', 'include/x86', 'include', d)}"

PYTHON3_NATIVE_SITEPACKAGES_DIR = "${libdir_native}/${PYTHON3_DIR}/site-packages"
--
2.30.2


Service outage beginning Saturday Feb. 26th 1700 UTC

Michael Halstead
 

We are moving several racks of servers to a new data center in order to save on costs and reduce maintenance overhead.

Beginning Sat Feb 26 17:00 UTC 2022 / (9am PST)
Ending before Sun Feb 27 06:00 UTC 2022 / (10pm PST)

The following services will experience downtime during much of the outage window:

Yocto Project Autobuilder (workers only)

These services will also be offline for a shorter period of time during the window:

IRC Logging

Because many of our services are interdependent there may be unexpected issues with other services during the move.


--
Michael Halstead
Linux Foundation / Yocto Project
Systems Operations Engineer


[yocto-autobuilder-helper][PATCH] config.json: update check-layer for meta-ti due to restructure

Denys Dmytriyenko
 

meta-ti recently split into sublayers - adjust config.json accordingly.

Signed-off-by: Denys Dmytriyenko <denis@...>
---
config.json | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config.json b/config.json
index fa13545..ba7a6a0 100644
--- a/config.json
+++ b/config.json
@@ -891,7 +891,7 @@
},
"step5" : {
"shortname" : "Test meta-ti YP Compatibility",
- "EXTRACMDS" : ["yocto-check-layer-wrapper ../meta-ti --d=
ependency ../meta-arm --no-auto-dependency"]
+ "EXTRACMDS" : ["yocto-check-layer-wrapper ../meta-ti/met=
a-ti-bsp ../meta-ti/meta-ti-extras --dependency ../meta-arm --no-auto-dep=
endency"]
},
"step6" : {
"shortname" : "Test meta-oe YP Compatibility",
--=20
2.25.1


Re: Building Yocto images for RPi CM4

Khem Raj
 

it will be good to see serial console and what it prints there can
give more info. It might be easier to debug it that way.

On Tue, Feb 22, 2022 at 2:35 PM Sourabh Hegde <hrsourabh011@...> wrote:

Hello All,

I am building a basic image (core-image-base) for RPi CM4(Lite) on "Honister" release with "uboot" as bootloader.

In my conf/local.conf file MACHINE = "raspberrypi4-64" and also I have set

RPI_USE_U_BOOT = "1"
PREFERRED_PROVIDER_virtual/bootloader = "u-boot"

Image builds successfully and I transferred the image to SD card and tried to boot. I am using WKS_FILE = "sdimage-dual-raspberrypi.wks.in"

sdimage-dual-raspberrypi.wks.in :

part /boot --source bootimg-partition --ondisk mmcblk0 --fstype=vfat --label boot --active --align 4096 --size 100
part / --source rootfs --ondisk mmcblk0 --fstype=ext4 --label rootfs_A --align 4096
part / --source rootfs --ondisk mmcblk0 --fstype=ext4 --label rootfs_B --align 4096
part /home --source rootfs --rootfs-dir=${IMAGE_ROOTFS}/home --ondisk mmcblk0 --fstype=ext4 --label homefs --align 1024 --size 500 --fsoptions "x-systemd.growfs"

But unfortunately, i am not able to boot using this image and initially it starts with
.
.
Detecting USB Device.
.
.
Hit any key to stop auto-boot..
.
.
Starting kernel..

But right after this screen turns off and after a second screen turns on with "Loading progress bar" and as soon as it loads, a blank screen pops-up. I am not sure whether system is booted properly or not. I am not able to interact with it. And no Linux user space is accessible

Sadly, the custom carrier board I am using has no serial console, so I can only use a RPi display to see the progress and messages.

Can anyone please let me know what could be the issue here and how to resolve it?

Your help will be much appreciated.

thanks in advance..

1121 - 1140 of 57347